%global ext_manager dwbem

Name:           dwb
Version:        2013.03.30
Release:        2%{?dist}
Summary:        Dynamic web browser based on WebKit and GTK+

License:        GPLv3+
URL:            https://bitbucket.org/portix/dwb/wiki/Home
Source0:        https://bitbucket.org/portix/dwb/downloads/%{name}-%{version}.tar.gz

Patch0:         disable_hsts.patch

BuildRequires:  readline-devel
BuildRequires:  gtk3-devel
BuildRequires:  webkitgtk3-devel
BuildRequires:  json-c-devel
BuildRequires:  desktop-file-utils

%description
dwb is small webkit-based web-browser in the spirit of tiling window managers,
that aims to be mostly keyboard-driven.

%prep
%setup -q
%patch0 -p1

%build
make GTK=3 DISABLE_HSTS=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install GTK=3 DISABLE_HSTS=1 DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%{_bindir}/%{name}
%{_bindir}/%{ext_manager}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{ext_manager}.1.gz
%{_mandir}/man7/%{name}-js.7.gz
%{_datadir}/pixmaps/%{name}.png

%doc README CHANGELOG COPYING AUTHORS gpl-3.0.txt

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.03.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 02 2013 Sébastien Willmann <sebastien.willmann@gmail.com> - 2013.03.30-1
- Update to version 2013.03.30
- Disable HSTS support to resolve build failure

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.12.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Sebastien Willmann <sebastien.willmann@gmail.com> - 2012.12.03-1
- Update to version 2012.12.03

* Sat Nov 03 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.10.28-1
- Update to version 2012.10.28

* Wed Aug 22 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.08.22-1
- Updated to version 2012.08.22

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.05.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 13 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.05.11-1
- Update to version 2012.05.11

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-3
- Added desktop file validation

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-2
- Added Mime type and desktop database update
- Split BR on two lines, removed deffattr, removed blank lines

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-1
- Initial version

